# watcherclient.v1 package

## Submodules

- watcherclient.v1.action module
  - `Action`
  - `ActionManager`
    - `ActionManager.get()`
    - `ActionManager.list()`
    - `ActionManager.resource_class`
    - `ActionManager.update()`
- watcherclient.v1.action_plan module
  - `ActionPlan`
  - `ActionPlanManager`
    - `ActionPlanManager.cancel()`
    - `ActionPlanManager.delete()`
    - `ActionPlanManager.get()`
    - `ActionPlanManager.list()`
    - `ActionPlanManager.resource_class`
    - `ActionPlanManager.start()`
    - `ActionPlanManager.update()`
- watcherclient.v1.action_plan_shell module
  - `CancelActionPlan`
    - `CancelActionPlan.app_dist_name`
    - `CancelActionPlan.get_parser()`
    - `CancelActionPlan.log`
    - `CancelActionPlan.take_action()`
  - `DeleteActionPlan`
    - `DeleteActionPlan.app_dist_name`
    - `DeleteActionPlan.get_parser()`
    - `DeleteActionPlan.log`
    - `DeleteActionPlan.take_action()`
  - `ListActionPlan`
    - `ListActionPlan.app_dist_name`
    - `ListActionPlan.get_parser()`
    - `ListActionPlan.log`
    - `ListActionPlan.take_action()`
  - `ShowActionPlan`
    - `ShowActionPlan.app_dist_name`
    - `ShowActionPlan.get_parser()`
    - `ShowActionPlan.log`
    - `ShowActionPlan.take_action()`
  - `StartActionPlan`
    - `StartActionPlan.app_dist_name`
    - `StartActionPlan.get_parser()`
    - `StartActionPlan.log`
    - `StartActionPlan.take_action()`
  - `UpdateActionPlan`
    - `UpdateActionPlan.app_dist_name`
    - `UpdateActionPlan.get_parser()`
    - `UpdateActionPlan.log`
    - `UpdateActionPlan.take_action()`
  - `drop_unsupported_field()`
  - `format_global_efficacy()`
- watcherclient.v1.action_shell module
  - `ListAction`
    - `ListAction.app_dist_name`
    - `ListAction.get_parser()`
    - `ListAction.log`
    - `ListAction.take_action()`
  - `ShowAction`
    - `ShowAction.app_dist_name`
    - `ShowAction.get_parser()`
    - `ShowAction.log`
    - `ShowAction.take_action()`
  - `UpdateAction`
    - `UpdateAction.app_dist_name`
    - `UpdateAction.get_parser()`
    - `UpdateAction.log`
    - `UpdateAction.take_action()`
  - `drop_unsupported_field()`
- watcherclient.v1.audit module
  - `Audit`
  - `AuditManager`
    - `AuditManager.create()`
    - `AuditManager.delete()`
    - `AuditManager.get()`
    - `AuditManager.list()`
    - `AuditManager.resource_class`
    - `AuditManager.update()`
- watcherclient.v1.audit_shell module
  - `CreateAudit`
    - `CreateAudit.app_dist_name`
    - `CreateAudit.get_parser()`
    - `CreateAudit.log`
    - `CreateAudit.take_action()`
  - `DeleteAudit`
    - `DeleteAudit.app_dist_name`
    - `DeleteAudit.get_parser()`
    - `DeleteAudit.log`
    - `DeleteAudit.take_action()`
  - `ListAudit`
    - `ListAudit.app_dist_name`
    - `ListAudit.get_parser()`
    - `ListAudit.log`
    - `ListAudit.take_action()`
  - `ShowAudit`
    - `ShowAudit.app_dist_name`
    - `ShowAudit.get_parser()`
    - `ShowAudit.log`
    - `ShowAudit.take_action()`
  - `UpdateAudit`
    - `UpdateAudit.app_dist_name`
    - `UpdateAudit.get_parser()`
    - `UpdateAudit.log`
    - `UpdateAudit.take_action()`
  - `drop_unsupported_field()`
- watcherclient.v1.audit_template module
  - `AuditTemplate`
  - `AuditTemplateManager`
    - `AuditTemplateManager.create()`
    - `AuditTemplateManager.delete()`
    - `AuditTemplateManager.get()`
    - `AuditTemplateManager.list()`
    - `AuditTemplateManager.resource_class`
    - `AuditTemplateManager.update()`
- watcherclient.v1.audit_template_shell module
  - `CreateAuditTemplate`
    - `CreateAuditTemplate.app_dist_name`
    - `CreateAuditTemplate.get_parser()`
    - `CreateAuditTemplate.log`
    - `CreateAuditTemplate.take_action()`
  - `DeleteAuditTemplate`
    - `DeleteAuditTemplate.app_dist_name`
    - `DeleteAuditTemplate.get_parser()`
    - `DeleteAuditTemplate.log`
    - `DeleteAuditTemplate.take_action()`
  - `ListAuditTemplate`
    - `ListAuditTemplate.app_dist_name`
    - `ListAuditTemplate.get_parser()`
    - `ListAuditTemplate.log`
    - `ListAuditTemplate.take_action()`
  - `ShowAuditTemplate`
    - `ShowAuditTemplate.app_dist_name`
    - `ShowAuditTemplate.get_parser()`
    - `ShowAuditTemplate.log`
    - `ShowAuditTemplate.take_action()`
  - `UpdateAuditTemplate`
    - `UpdateAuditTemplate.app_dist_name`
    - `UpdateAuditTemplate.get_parser()`
    - `UpdateAuditTemplate.log`
    - `UpdateAuditTemplate.take_action()`
- watcherclient.v1.client module
  - `Client`
- watcherclient.v1.data_model module
  - `DataModel`
  - `DataModelManager`
    - `DataModelManager.list()`
    - `DataModelManager.resource_class`
- watcherclient.v1.data_model_shell module
  - `ListDataModel`
    - `ListDataModel.app_dist_name`
    - `ListDataModel.get_parser()`
    - `ListDataModel.get_tuple()`
    - `ListDataModel.log`
    - `ListDataModel.take_action()`
- watcherclient.v1.goal module
  - `Goal`
  - `GoalManager`
    - `GoalManager.get()`
    - `GoalManager.list()`
    - `GoalManager.resource_class`
- watcherclient.v1.goal_shell module
  - `ListGoal`
    - `ListGoal.app_dist_name`
    - `ListGoal.get_parser()`
    - `ListGoal.log`
    - `ListGoal.take_action()`
  - `ShowGoal`
    - `ShowGoal.app_dist_name`
    - `ShowGoal.get_parser()`
    - `ShowGoal.log`
    - `ShowGoal.take_action()`
- watcherclient.v1.resource_fields module
- watcherclient.v1.scoring_engine module
  - `ScoringEngine`
  - `ScoringEngineManager`
    - `ScoringEngineManager.get()`
    - `ScoringEngineManager.list()`
    - `ScoringEngineManager.resource_class`
- watcherclient.v1.scoring_engine_shell module
  - `ListScoringEngine`
    - `ListScoringEngine.app_dist_name`
    - `ListScoringEngine.get_parser()`
    - `ListScoringEngine.log`
    - `ListScoringEngine.take_action()`
  - `ShowScoringEngine`
    - `ShowScoringEngine.app_dist_name`
    - `ShowScoringEngine.get_parser()`
    - `ShowScoringEngine.log`
    - `ShowScoringEngine.take_action()`
- watcherclient.v1.service module
  - `Service`
  - `ServiceManager`
    - `ServiceManager.get()`
    - `ServiceManager.list()`
    - `ServiceManager.resource_class`
- watcherclient.v1.service_shell module
  - `ListService`
    - `ListService.app_dist_name`
    - `ListService.get_parser()`
    - `ListService.log`
    - `ListService.take_action()`
  - `ShowService`
    - `ShowService.app_dist_name`
    - `ShowService.get_parser()`
    - `ShowService.log`
    - `ShowService.take_action()`
- watcherclient.v1.strategy module
  - `Strategy`
  - `StrategyManager`
    - `StrategyManager.get()`
    - `StrategyManager.list()`
    - `StrategyManager.resource_class`
    - `StrategyManager.state()`
- watcherclient.v1.strategy_shell module
  - `ListStrategy`
    - `ListStrategy.app_dist_name`
    - `ListStrategy.get_parser()`
    - `ListStrategy.log`
    - `ListStrategy.take_action()`
  - `ShowStrategy`
    - `ShowStrategy.app_dist_name`
    - `ShowStrategy.get_parser()`
    - `ShowStrategy.log`
    - `ShowStrategy.take_action()`
  - `StateStrategy`
    - `StateStrategy.app_dist_name`
    - `StateStrategy.get_parser()`
    - `StateStrategy.log`
    - `StateStrategy.take_action()`

## Module contents

class watcherclient.v1.Action(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.ActionManager(api)

  Bases: `Manager`

  get(action_id)
  list(action_plan=None, audit=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of action.

    Parameters:

      - action_plan – UUID of the action plan

      - audit – UUID of the audit

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of actions to return.

        2. limit == 0, return the entire list of actions.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about actions.

      - marker – Optional, UUID of the last action in the previous page.

    Returns:

      A list of actions.

  resource_class

    alias of `Action`

  update(action_id, patch)

class watcherclient.v1.ActionPlan(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.ActionPlanManager(api)

  Bases: `Manager`

  cancel(action_plan_id)
  delete(action_plan_id)
  get(action_plan_id)
  list(audit=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of action plan.

    Parameters:

      - audit – Name of the audit

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of action plans to return.

        2. limit == 0, return the entire list of action plans.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about action plans.

      - marker – The last actionplan UUID of the previous page; displays list of actionplans after “marker”.

    Returns:

      A list of action plans.

  resource_class

    alias of `ActionPlan`

  start(action_plan_id)
  update(action_plan_id, patch)

class watcherclient.v1.Audit(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.AuditManager(api)

  Bases: `Manager`

  create(**kwargs)
  delete(audit)
  get(audit)
  list(audit_template=None, limit=None, sort_key=None, sort_dir=None, detail=False, goal=None, strategy=None, marker=None)

    Retrieve a list of audit.

    Parameters:

      - audit_template – Name of the audit template

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last audit in the previous page.

    Returns:

      A list of audits.

  resource_class

    alias of `Audit`

  update(audit, patch)

class watcherclient.v1.AuditTemplate(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.AuditTemplateManager(api)

  Bases: `Manager`

  create(**kwargs)
  delete(audit_template_id)
  get(audit_template_id)
  list(name=None, goal=None, strategy=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of audit template.

    Parameters:

      - name – Name of the audit template

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audit templates to return.

        2. limit == 0, return the entire list of audit_templates.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audit_templates.

      - marker – Optional, UUID of the last audit template of the previous page.

    Returns:

      A list of audit templates.

  resource_class

    alias of `AuditTemplate`

  update(audit_template_id, patch)

class watcherclient.v1.DataModel(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.DataModelManager(api)

  Bases: `Manager`

  list(data_model_type='compute', audit=None)

    Retrieve a list of data model.

    Parameters:

      - data_model_type – The type of data model user wants to list. Supported values: compute. Future support values: storage, baremetal. The default value is compute.

      - audit – The UUID of the audit, used to filter data model by the scope in audit.

    Returns:

      A list of data model.

  resource_class

    alias of `DataModel`

class watcherclient.v1.Goal(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.GoalManager(api)

  Bases: `Manager`

  get(goal)
  list(limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of goal.

    Parameters:

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last goal in the previous page.

    Returns:

      A list of goals.

  resource_class

    alias of `Goal`

class watcherclient.v1.ScoringEngine(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.ScoringEngineManager(api)

  Bases: `Manager`

  get(scoring_engine_name)
  list(limit=None, sort_key=None, sort_dir=None, detail=False)

    Retrieve a list of scoring engines.

    Parameters:

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of scoring engines to return.

        2. limit == 0, return the entire list of scoring engines.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about scoring engines.

    Returns:

      A list of scoring engines.

  resource_class

    alias of `ScoringEngine`

class watcherclient.v1.Service(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.ServiceManager(api)

  Bases: `Manager`

  get(service)
  list(limit=None, sort_key=None, sort_dir=None, detail=False)

    Retrieve a list of services.

    Parameters:

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of services to return.

        2. limit == 0, return the entire list of services.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about services.

    Returns:

      A list of services.

  resource_class

    alias of `Service`

class watcherclient.v1.Strategy(manager, info, loaded=False)

  Bases: `Resource`

class watcherclient.v1.StrategyManager(api)

  Bases: `Manager`

  get(strategy)
  list(goal=None, limit=None, sort_key=None, sort_dir=None, detail=False, marker=None)

    Retrieve a list of strategy.

    Parameters:

      - goal – The UUID of the goal to filter by

      - limit –

        The maximum number of results to return per

          request, if:

        1. limit > 0, the maximum number of audits to return.

        2. limit == 0, return the entire list of audits.

        3. limit param is NOT specified (None), the number of items returned respect the maximum imposed by the Watcher API (see Watcher’s api.max_limit option).

      - sort_key – Optional, field used for sorting.

      - sort_dir – Optional, direction of sorting, either ‘asc’ (the default) or ‘desc’.

      - detail – Optional, boolean whether to return detailed information about audits.

      - marker – Optional, UUID of the last strategy in the previous page.

    Returns:

      A list of audits.

  resource_class

    alias of `Strategy`

  state(strategy)

this page last updated: 2025-09-17 21:35:07

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug